Package logilab :: Package common :: Module changelog :: Class ChangeLog

[frames] | no frames]

# Class ChangeLog

source code

    object --+
             |
            ChangeLog

    object representation of a whole ChangeLog file

Nested Classes
| entry_class a change log entry, i.e.

Instance Methods

__init__(self, changelog_file, title='') x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

add_entry(self, entry) add a new entry to the change log | source code

get_entry(self, version='', create=None) return a given changelog entry... | source code

add(self, msg, create=None) add a new message to the latest opened entry | source code

load(self) read a logilab's ChangeLog from file | source code

format_title(self) | source code

save(self) write back change log | source code

write(self, stream=sys.stdout) write changelog to stream | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, changelog_file, title='')
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### get_entry(self, version='', create=None)

source code

    return a given changelog entry
    if version is omitted, return the current entry